summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorSøren Sandmann Pedersen <sandmann@daimi.au.dk>2005-06-13 21:18:09 +0000
committerSøren Sandmann Pedersen <sandmann@daimi.au.dk>2005-06-13 21:18:09 +0000
commitb15aee70c23e46cc06023c42359ae831b4aa97e5 (patch)
treecb73945d077c107e5e90d9d45de503c8ee12e9f2 /autogen.sh
parent48338cc9c422ff0ac4b9c532088649f2f3c4e2bb (diff)
downloadxorg-lib-libdmx-b15aee70c23e46cc06023c42359ae831b4aa97e5.tar.gz
Really add the dmx build system.
Also, in some ways CVS is not an optimal version control system.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..904cd67
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"